<?xml version="1.0" encoding="utf-8" ?>
<Feature SiLA2Version="1.0" FeatureVersion="1.0" Originator="biovt.mw.tum.de" Category="examples"
         xmlns="http://www.sila-standard.org"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.sila-standard.org https://gitlab.com/SiLA2/sila_features/raw/master/schema/FeatureDefinition.xsd">
    <Identifier>CalibrationServicer</Identifier>
    <DisplayName>Calibration Servicer</DisplayName>
    <Description>
		Used to initiate device 1-pt calibration of the off-gas sensors.
        By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 21.12.2021
    </Description>
	<Command>
        <Identifier>StartCalibration</Identifier>
        <DisplayName>Start Calibration</DisplayName>
        <Description>Start the 1-pt calibration of the sensors</Description>
        <Observable>No</Observable>
        <Response>
            <Identifier>CalibrationStatus</Identifier>
            <DisplayName>Calibration Status</DisplayName>
            <Description>Calibration command received. Calibration status response.</Description>
            <DataType>
                <Basic>String</Basic>
            </DataType>
        </Response>
        <DefinedExecutionErrors>
            <Identifier>DeviceNotReadyError</Identifier>
            <Identifier>SerialConnectionError</Identifier>
        </DefinedExecutionErrors>
	</Command>
    <DefinedExecutionError>
        <Identifier>DeviceNotReadyError</Identifier>
        <DisplayName>Device Not Ready Error</DisplayName>
        <Description>Device is not ready yet. No calibration or measurements can not be performed during the warm-up
            phase. Device warm up can take up to 30 min.
        </Description>
    </DefinedExecutionError>
    <DefinedExecutionError>
        <Identifier>SerialConnectionError</Identifier>
        <DisplayName>Serial Connection Error</DisplayName>
        <Description>
            Serial connection is not available. Make sure the serial cable is connected and the right serial port used!
        </Description>
    </DefinedExecutionError>
</Feature>

